package com.usoft.fin.grpc.dal.entity;

import java.math.BigDecimal;

/**
 * <pre>
 * 用户还款表
 * 表名 : t_repay
 * </pre>
 * @author: Mybatis Generator
 */
public class Repay {
    /**
     * <pre>
     * id
     * 表字段 : t_repay.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 用户还款编号
     * 表字段 : t_repay.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 提款申请记录编号
     * 表字段 : t_repay.draw_code
     * </pre>
     */
    private String drawCode;

    /**
     * <pre>
     * 最新的还款计划编号
     * 表字段 : t_repay.repay_plan_code
     * </pre>
     */
    private String repayPlanCode;

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_repay.product_code
     * </pre>
     */
    private String productCode;

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_repay.enuu
     * </pre>
     */
    private Integer enuu;

    /**
     * <pre>
     * 提款日期
     * 表字段 : t_repay.start_date
     * </pre>
     */
    private String startDate;

    /**
     * <pre>
     * 到期日期
     * 表字段 : t_repay.end_date
     * </pre>
     */
    private String endDate;

    /**
     * <pre>
     * 提款金额
     * 表字段 : t_repay.draw_amount
     * </pre>
     */
    private BigDecimal drawAmount;

    /**
     * <pre>
     * 月利率
     * 表字段 : t_repay.draw_month_rate
     * </pre>
     */
    private BigDecimal drawMonthRate;

    /**
     * <pre>
     * 本期还款金额
     * 表字段 : t_repay.current_repay_moment
     * </pre>
     */
    private BigDecimal currentRepayMoment;

    /**
     * <pre>
     * 本期还款时间
     * 表字段 : t_repay.current_repay_time
     * </pre>
     */
    private String currentRepayTime;

    /**
     * <pre>
     * id
     * 表字段 : t_repay.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_repay.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 用户还款编号
     * 表字段 : t_repay.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 用户还款编号
     * 表字段 : t_repay.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 提款申请记录编号
     * 表字段 : t_repay.draw_code
     * </pre>
     */
    public String getDrawCode() {
        return drawCode;
    }

    /**
     * <pre>
     * 提款申请记录编号
     * 表字段 : t_repay.draw_code
     * </pre>
     */
    public void setDrawCode(String drawCode) {
        this.drawCode = drawCode == null ? null : drawCode.trim();
    }

    /**
     * <pre>
     * 最新的还款计划编号
     * 表字段 : t_repay.repay_plan_code
     * </pre>
     */
    public String getRepayPlanCode() {
        return repayPlanCode;
    }

    /**
     * <pre>
     * 最新的还款计划编号
     * 表字段 : t_repay.repay_plan_code
     * </pre>
     */
    public void setRepayPlanCode(String repayPlanCode) {
        this.repayPlanCode = repayPlanCode == null ? null : repayPlanCode.trim();
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_repay.product_code
     * </pre>
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_repay.product_code
     * </pre>
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode == null ? null : productCode.trim();
    }

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_repay.enuu
     * </pre>
     */
    public Integer getEnuu() {
        return enuu;
    }

    /**
     * <pre>
     * 用户企业uu
     * 表字段 : t_repay.enuu
     * </pre>
     */
    public void setEnuu(Integer enuu) {
        this.enuu = enuu;
    }

    /**
     * <pre>
     * 提款日期
     * 表字段 : t_repay.start_date
     * </pre>
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * <pre>
     * 提款日期
     * 表字段 : t_repay.start_date
     * </pre>
     */
    public void setStartDate(String startDate) {
        this.startDate = startDate == null ? null : startDate.trim();
    }

    /**
     * <pre>
     * 到期日期
     * 表字段 : t_repay.end_date
     * </pre>
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * <pre>
     * 到期日期
     * 表字段 : t_repay.end_date
     * </pre>
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate == null ? null : endDate.trim();
    }

    /**
     * <pre>
     * 提款金额
     * 表字段 : t_repay.draw_amount
     * </pre>
     */
    public BigDecimal getDrawAmount() {
        return drawAmount;
    }

    /**
     * <pre>
     * 提款金额
     * 表字段 : t_repay.draw_amount
     * </pre>
     */
    public void setDrawAmount(BigDecimal drawAmount) {
        this.drawAmount = drawAmount;
    }

    /**
     * <pre>
     * 月利率
     * 表字段 : t_repay.draw_month_rate
     * </pre>
     */
    public BigDecimal getDrawMonthRate() {
        return drawMonthRate;
    }

    /**
     * <pre>
     * 月利率
     * 表字段 : t_repay.draw_month_rate
     * </pre>
     */
    public void setDrawMonthRate(BigDecimal drawMonthRate) {
        this.drawMonthRate = drawMonthRate;
    }

    /**
     * <pre>
     * 本期还款金额
     * 表字段 : t_repay.current_repay_moment
     * </pre>
     */
    public BigDecimal getCurrentRepayMoment() {
        return currentRepayMoment;
    }

    /**
     * <pre>
     * 本期还款金额
     * 表字段 : t_repay.current_repay_moment
     * </pre>
     */
    public void setCurrentRepayMoment(BigDecimal currentRepayMoment) {
        this.currentRepayMoment = currentRepayMoment;
    }

    /**
     * <pre>
     * 本期还款时间
     * 表字段 : t_repay.current_repay_time
     * </pre>
     */
    public String getCurrentRepayTime() {
        return currentRepayTime;
    }

    /**
     * <pre>
     * 本期还款时间
     * 表字段 : t_repay.current_repay_time
     * </pre>
     */
    public void setCurrentRepayTime(String currentRepayTime) {
        this.currentRepayTime = currentRepayTime == null ? null : currentRepayTime.trim();
    }
}